AWS
action ELBv2

# delete_load_balancer

Deletes the provided load balancer(s)

Run it now
View details

Type | action
Module | chaosaws.elbv2.actions
Name | delete_load_balancer
Return | None

Usage

JSON

    {
      "name": "delete-load-balancer",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.elbv2.actions",
        "func": "delete_load_balancer",
        "arguments": {
          "load_balancer_names": []
        }
      }
    }

YAML

    name: delete-load-balancer
    provider:
      arguments:
        load_balancer_names: []
      func: delete_load_balancer
      module: chaosaws.elbv2.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
load_balancer_names | list |  | Yes | Load Balancer Names | List of LB names

Signature

    def delete_load_balancer(load_balancer_names: List[str],
                             configuration: Dict[str, Dict[str, str]] = None,
                             secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- AWS
  action ELBv2

  ## `deregister_target`

  Deregisters one random target from target group
- AWS
  probe ELBv2

  ## `targets_health_count`

  Count of healthy/unhealthy targets per targetgroup
- AWS
  probe ELBv2

  ## `targets_health_count`

  Count of healthy/unhealthy targets per targetgroup